Page MenuHomePhabricator

Test reader survey in multiple languages - Japanese
Closed, ResolvedPublic

Description

jawiki

'enabled' => true,
'name' => 'Reader-segmentation-3-ja-test',
'type' => 'external',
'description' => 'Reader-segmentation-1-description', // (blank)
'link' => 'Reader-segmentation-3-link', // https://docs.google.com/forms/d/e/1FAIpQLScxjs4cWgSEE1ouWPAu-cLF_wjAa6eddfDuSKLRAjPVbfcvHw/viewform?hl=ja
'question' => 'Reader-segmentation-3-message',
'privacyPolicy' => 'Reader-segmentation-3-privacy',
'coverage' => 0.1, // 1 out of 10
'platforms' => [
        'desktop' => [ 'stable' ],
        'mobile' => [ 'stable' ],
],
'instanceTokenParameterName' => 'entry.901222064',

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDisable test reader QuickSurveys
operations/mediawiki-config : masterAdd QuickSurvey for reader segmentation research

Event Timeline

leila created this task.May 10 2017, 1:15 AM
leila added a comment.May 10 2017, 1:54 AM

@schana can you prepare everything for the surveys to go live on Thursday in 13:00-14:00 UTC SWAT time and stop after 18:00-19:00 UTC the same day? Please take a note of exact start and end time of the test in the task description.

schana updated the task description. (Show Details)May 10 2017, 12:02 PM

@leila We still need the name parameter.

Change 353053 had a related patch set uploaded (by Nschaaf; owner: Nschaaf):
[operations/mediawiki-config@master] Add QuickSurvey for reader segmentation research

https://gerrit.wikimedia.org/r/353053

leila added a comment.May 10 2017, 3:17 PM

Thanks for checking this. I've asked Whym to help us with it and hopefully this will happen before the survey is launched tomorrow.

leila updated the task description. (Show Details)May 10 2017, 4:56 PM
leila moved this task from Staged to In Progress on the Research board.May 10 2017, 5:08 PM
whym added a subscriber: whym.EditedMay 13 2017, 8:48 AM

@leila Is the translation of https://ja.wikipedia.org/wiki/MediaWiki:Reader-segmentation-3-privacy still needed?

I would need to know how it is used, though. Is it a popup message or something? Any text next to this? One translation would be "アンケートのデータは第三者によって取り扱われます。[https://ja.wikipedia.org/wiki/MediaWiki:Reader-segmentation-3-privacy プライバシーについてはこちら]。" which works in most contexts, but maybe too long.

leila added a comment.May 13 2017, 7:07 PM

Yes, please. and don't worry about the delay. We postponed the tests until Monday. :)

I would need to know how it is used, though. Is it a popup message or something? Any text next to this? One translation would be "アンケートのデータは第三者によって取り扱われます。[https://ja.wikipedia.org/wiki/MediaWiki:Reader-segmentation-3-privacy プライバシーについてはこちら]。" which works in most contexts, but maybe too long.

Good question. Check


to see an example. The line under "Visit survey" and "No thanks" button will be replaced by your translation. So we want the translation to be as short as possible to fit in the widget (that example is for Desktop, but you will get a sense of how it will look like on Mobile as well). That's part of the reason that in the English version you have the word "Privacy" instead of "Privacy statement" which would be a much clearer way to say what the link is. If there is a way for you to make the translation shorter, by all means please do it. :)

Change 353053 merged by jenkins-bot:
[operations/mediawiki-config@master] Add QuickSurvey for reader segmentation research

https://gerrit.wikimedia.org/r/353053

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-05-15T13:10:55Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:353053|Add QuickSurvey for reader segmentation research]] T131949 T164769 T164894 T164960 T164963 (duration: 00m 40s)

Change 353876 had a related patch set uploaded (by Nschaaf; owner: Nschaaf):
[operations/mediawiki-config@master] Disable test reader QuickSurveys

https://gerrit.wikimedia.org/r/353876

The surveys were deployed at 1310 UTC. The first impression for jawiki was at 1312 UTC.

Change 353876 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable test reader QuickSurveys

https://gerrit.wikimedia.org/r/353876

Mentioned in SAL (#wikimedia-operations) [2017-05-15T18:20:39Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Disable test reader QuickSurveys (T131949, T164769, T164894, T164960, T164943) (duration: 00m 40s)

schana removed a project: Patch-For-Review.

The surveys were disabled at 1820 UTC. The impressions mostly stopped after 1830 UTC.

leila closed this task as Resolved.Jun 18 2017, 11:16 AM